Issues replacement access for the same Agent and immediately retires its old connection.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/file-protection/agents/example/reconnect"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"OperatingSystem\": 0, \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/file-protection/agents/example/reconnect';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"OperatingSystem":0,"RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/file-protection/agents/example/reconnect \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "OperatingSystem": 0, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Replaces an existing connection without changing its Agent identity or assignments.
object
Operating systems supported by the universal File Protection tools.
Replaces an existing connection without changing its Agent identity or assignments.
object
Operating systems supported by the universal File Protection tools.
Replaces an existing connection without changing its Agent identity or assignments.
object
Operating systems supported by the universal File Protection tools.
Responses
Section titled “Responses”OK
object
One-time Agent enrollment delivery.
object
OS-specific Agent mapping example for one existing logical source.
object
Existing Agent identity replaced by this enrollment, absent for a new connection.
Current lifecycle version after replacing the connection.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}